import React from 'react';
import {render} from 'react-dom';
import {IntlProvider} from 'react-intl';

const {PasswordStrength, DayPicker, Input, DropDown} = require('avalblock-react-tools');
import {  } from '../../lib'

const App = () => {
    console.log("A:", A);

    return (
        <IntlProvider messages={{}}>
            <div>
                <DropDown
                    options={[
                        {
                            key: 1, text: 'option1', value: 'option1'
                        },
                        {
                            key: 2, text: 'option2', value: 'option2'
                        },
                        {
                            key: 3, text: 'option3', value: 'option3'
                        }]}
                    label={'A sample dropdown'}
                    onChange={(event, error) => {
                        console.log('on change called?');
                        console.log(event);
                        console.log(error);
                    }}
                    required
                    name={'Sample dropdown'}
                    placeholder={'Select your type'}
                />
                <Input
                    placeholder={'Sample input'}
                    label={'Label for the input'}
                    maxLength={5}
                    minLength={2}
                    required
                    name={'input'}
                    validation
                    validationType={'mobile'}
                    onChange={(e, error) => {
                        console.log('on change input ');
                        console.log(e);
                        console.log(error);


                    }}
                />
                <PasswordStrength
                    minScore={1}
                    minLength={3}
                    name={'password'}
                />
                <DayPicker
                    name={''}
                />
            </div>
        </IntlProvider>

    )
};
render(<App/>, document.getElementById("root"));
